Subject: The IAB is Seeking Feedback on the Independent Stream Editor (ISE)

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 02 Nov 2016 09:21:43 -0700

As part of its oversight responsibility for the Independent Stream, the 
IAB is soliciting comments from the community on the performance of the 
Independent Stream Editor, Nevil Brownlee.  We are interested in 
comments on what has gone well or badly in the last several years of 
operation of the Independent Stream and Nevil's activities as ISE.

Please send comments to iab-chair at iab.org.  In addition, please CC 
execd at iab.org.

We would appreciate receiving comments by Tuesday, November 29, 2016 as 
the IAB will likely begin the next steps in the oversight process 
shortly after the end of IETF 97 in Seoul.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager